Page MenuHomePhabricator

PageImages should be able to pick Wikidata's P18 as chosen image
Open, LowPublic

Description

Commons and Wikidata provide images that can be used in *all* wikis. https://commons.wikimedia.org/wiki/Commons:Project_scope

https://lists.wikimedia.org/pipermail/wikitech-l/2015-April/081465.html :

I wonder if this can somehow be connected to Wikidata's image attribute
(https://www.wikidata.org/wiki/Property:P18).

This is a very good idea, because it circumvents the problem of autodetection that PageImages has for instance and that takes away the ability of editors to ‘author’ the result.

The steps are:

  1. fetch and use P18 (preferred rank if multiple P18 are set) where there is no image suggestion at all from PageImages;
  2. use P18 when PageImages is not so sure of its pick (e.g. small images which might be icons?);
  3. always prefer Wikidata P18 where available and not deprecated.

Step 1 would already be useful, step 2 could solve multiple weaknesses, step 3 would help resolve most bugs in PageImages.


See also: T91683: Allow editors control of the page image (which can potentially be implemented separately)

Event Timeline

Nemo_bis created this task.Apr 3 2015, 6:18 PM
Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a project: PageImages.
Nemo_bis added subscribers: Nemo_bis, TheDJ, Smalyshev.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 3 2015, 6:18 PM
Aklapper triaged this task as Low priority.Apr 7 2015, 2:35 PM
Nemo_bis raised the priority of this task from Low to Normal.Apr 7 2015, 3:55 PM
Krenair added a subscriber: Krenair.Apr 9 2015, 9:40 AM
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Apr 10 2015, 1:41 PM
MaxSem added a subscriber: MaxSem.Apr 11 2015, 7:54 AM

PageImages does not return images of article subject, it returns images representing the article itself, so this must not override the images on page. Using the WD images for pages without images is probably fine though.

PageImages does not return images of article subject, it returns images representing the article itself,

True, in principle there is a difference; depending on how a client is using the Wikibase repo, they might also be the same.

so this must not override the images on page. Using the WD images for pages without images is probably fine though.

Sounds reasonable.

Once Wikimedia projects get accustomed to fetching Wikidata properties and the properties in question, by becoming more visible, have grown more used and more consistent, I expect someone will propose to give priority to Wikidata, but there is no need to do that now.

aude added a subscriber: aude.EditedApr 11 2015, 8:52 AM

If the value of P18 is among one of the images in a Wikipedia article, then that might be a reasonable choice.

Some wikipedias might want different images as "chosen image". There can be multiple statements for P18 with different values and we could use qualifiers to say which wikipedia choses what image.

As it concerns "featuring" an image in the header of the mobile Wikipedia page (and in the app) or in search results, there should always be the option for Wikipedians to choose *not* to have any "featured" image for a page. (e.g. none are suitable for this purpose) Sometimes this might be the case for abstract topics [1] or the page has only some tangentially related images [2], and sometimes graphs and maps don't work so nicely as featured images. [3]

I am also concerned about featuring fair use images, and imho don't think they should be used in this way. [4] (and not possible currently to link them in Wikidata with P18)

[1] https://en.m.wikipedia.org/wiki/Lawrence_Kohlberg%27s_stages_of_moral_development
[2] https://en.m.wikipedia.org/wiki/List_of_Vermont_Civil_War_units
[3] https://en.m.wikipedia.org/wiki/History_of_Rome
[4] https://en.m.wikipedia.org/wiki/Love_Generation_(song)

If there are multiple P18, one can always make one of them preferred rank.

As I already pointed out in T87336 this is not really a good idea from the copyright point of view, because..

  • pageimages belong to the language versions of wikipedia and therefore need to obey the local copyright laws..
  • while WikiData seems to be based on US-copyright alone.

And since we do have a lot of stuff on Commons that is PD only in some countries, the suggested implementation of taking the pageimages directly from WikiData, would result in copyright violations.

Nemo_bis updated the task description. (Show Details)Dec 21 2015, 7:50 AM
Nemo_bis updated the task description. (Show Details)

Please differentiate between Commons' project goal and the international legal reality. Copyright laws are complex – especially in an international context. And regardless of its ambitions, there are a lot of Commons images that can not be used in certain language versions. E.G. German Wikipedia can not use all the images wth licence templates implementing {{Urheberrechtlich_geschützt}}
https://commons.wikimedia.org/wiki/Special:WhatLinksHere/Template:Urheberrechtlich_gesch%C3%BCtzt

Beside that this suggestion would rise editorial problems – especially if the WikiData-images would overrule (3.) the images used in the local articles:

  • The scope of the Wikipedia article and the scope of linked WikiData object is not necessary 100% identical – not even among the Wikipedia language versions.
  • Afaik there is not even a WikiData object for every Wikipedia article yet.
  • Wikipedia articles in different languages are not just translations, but independent from each other. Therefore the same lemma may have different contents and require different illustrations according to the different languages and cultural contexts. Just think of sexuality or medical topics in the Arab world, or of maps with disputed demarcations.

Since Pageimages are used in a really prominent way nowadays (especially in the Wikipedia App), Wikipedia authors should retain the final say about, which image should be representing "their" article. And being able to edit WikiData, does not ensure this alone, because that could end in Edit-Wars between the language versions.

Anomie added a subscriber: Anomie.Jan 26 2016, 5:12 PM
  1. always prefer Wikidata P18 where available and not deprecated.

IMO this would be one step too far if it overrides T91683: Allow editors control of the page image.

I also note that, if we had T91683, this could be done on-wiki by a template that does something along the lines of {{#pageimage:{{#property:p18}}}}.

MaxSem closed this task as Declined.Jan 26 2016, 6:23 PM
MaxSem claimed this task.

Considering all of the above, closing.

Nemo_bis reopened this task as Open.EditedJan 26 2016, 7:20 PM

All of the above what?

I also note that, if we had T91683, this could be done on-wiki by a template that does something along the lines of {{#pageimage:{{#property:p18}}}}.

Maybe, but such a template would need to be placed on millions of articles. Why? Better make a global then.

But sure, we can consider that option to fix this bug if/when such a parser function is enabled.

Nemo_bis removed MaxSem as the assignee of this task.Jan 26 2016, 7:21 PM
Nemo_bis updated the task description. (Show Details)

I also note that, if we had T91683, this could be done on-wiki by a template that does something along the lines of {{#pageimage:{{#property:p18}}}}.

Maybe, but such a template would need to be placed on millions of articles. Why?

I didn't say it would be the best option, just a possible option.

-jem- added a subscriber: -jem-.Mar 28 2016, 7:51 PM
Ltrlg added a subscriber: Ltrlg.Mar 31 2016, 4:59 PM
Alsee added a subscriber: Alsee.EditedSep 5 2016, 12:38 AM

Taking control of this off of local wiki would be bad. In the few cases I checked this would have either been no help, or made things worse. It's hard to imagine many cases where Wikidata would have a suitable image that couldn't/shouldn't be in the article itself. Any rare case like that would be best dealt with using {{#pageimage:Image}} or {{#pageimage:{{#property:p18}}}}.

@ovasileva this seems like it would be useful for Wikivoyage. I'm not seeing many lead images for articles there given their reliance on the page banner to provide illustrations for the lead..

@Jdlrobson - agreed. We're planning on doing this along with T91683: Allow editors control of the page image across all projects. I was planning on implementing it during the first few weeks of next quarter.

ARR8 added a subscriber: ARR8.Jan 15 2019, 10:06 PM
ARR8 awarded a token.Jan 15 2019, 10:09 PM
Jdlrobson lowered the priority of this task from Normal to Low.Aug 1 2019, 7:56 PM

Reflecting reality. This is currently not being worked on with no plans to do so.